Groups Recursive
The groups recursive resource.
Basehttps://rest.carbon.ms/groups_recursive
GET
/groups_recursiveList groups recursives
Retrieve a paginated list of groups recursives. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/groups_recursive
curl --request GET \
--url 'https://rest.carbon.ms/groups_recursive?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"name": "Example",
"groupId": "xyz789",
"companyId": "xyz789",
"parentId": "xyz789",
"isIdentityGroup": true,
"isEmployeeTypeGroup": true,
"isCustomerOrgGroup": true,
"isCustomerTypeGroup": true
}
]GET
/groups_recursiveRetrieve a groups recursive
Fetch a single groups recursive by filtering on `groupId`.
Query parameters
groupIdstringMatch on the groups recursive's `groupId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/groups_recursive
curl --request GET \
--url 'https://rest.carbon.ms/groups_recursive?groupId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"name": "Example",
"groupId": "xyz789",
"companyId": "xyz789",
"parentId": "xyz789",
"isIdentityGroup": true,
"isEmployeeTypeGroup": true,
"isCustomerOrgGroup": true,
"isCustomerTypeGroup": true
}